alt.java.io

## Interface File

- All Known Implementing Classes:
    FileImpl, MockFile

      public interface File

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canRead()`
    `boolean` | `canWrite()`
    `int` | `compareTo(File pathname)`
    `int` | `compareTo(java.lang.Object o)`
    `boolean` | `createNewFile()`
    `File` | `createTempFile(java.lang.String prefix, java.lang.String suffix)`
    `File` | `createTempFile(java.lang.String prefix, java.lang.String suffix, File directory)`
    `boolean` | `delete()`
    `void` | `deleteOnExit()`
    `boolean` | `exists()`
    `File` | `getAbsoluteFile()`
    `java.lang.String` | `getAbsolutePath()`
    `File` | `getCanonicalFile()`
    `java.lang.String` | `getCanonicalPath()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getParent()`
    `File` | `getParentFile()`
    `java.lang.String` | `getPath()`
    `java.io.File` | `getRealFile()`
    `boolean` | `isAbsolute()`
    `boolean` | `isDirectory()`
    `boolean` | `isFile()`
    `boolean` | `isHidden()`
    `long` | `lastModified()`
    `long` | `length()`
    `java.lang.String[]` | `list()`
    `java.lang.String[]` | `list(java.io.FilenameFilter filter)`
    `File[]` | `listFiles()`
    `File[]` | `listFiles(java.io.FileFilter filter)`
    `File[]` | `listFiles(java.io.FilenameFilter filter)`
    `File[]` | `listRoots()`
    `boolean` | `mkdir()`
    `boolean` | `mkdirs()`
    `boolean` | `renameTo(File dest)`
    `boolean` | `setLastModified(long time)`
    `boolean` | `setReadOnly()`
    `java.net.URL` | `toURL()`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

    - #### getParent

          java.lang.String getParent()

    - #### getParentFile

          File getParentFile()

    - #### getPath

          java.lang.String getPath()

    - #### isAbsolute

          boolean isAbsolute()

    - #### getAbsolutePath

          java.lang.String getAbsolutePath()

    - #### getAbsoluteFile

          File getAbsoluteFile()

    - #### getCanonicalPath

          java.lang.String getCanonicalPath()
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getCanonicalFile

          File getCanonicalFile()
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### toURL

          java.net.URL toURL()
                      throws java.net.MalformedURLException

      Throws:
        `java.net.MalformedURLException`

    - #### canRead

          boolean canRead()

    - #### canWrite

          boolean canWrite()

    - #### exists

          boolean exists()

    - #### isDirectory

          boolean isDirectory()

    - #### isFile

          boolean isFile()

    - #### isHidden

          boolean isHidden()

    - #### lastModified

          long lastModified()

    - #### length

          long length()

    - #### createNewFile

          boolean createNewFile()
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### delete

          boolean delete()

    - #### deleteOnExit

          void deleteOnExit()

    - #### list

          java.lang.String[] list()

    - #### list

          java.lang.String[] list(java.io.FilenameFilter filter)

    - #### listFiles

          File[] listFiles()

    - #### listFiles

          File[] listFiles(java.io.FilenameFilter filter)

    - #### listFiles

          File[] listFiles(java.io.FileFilter filter)

    - #### mkdir

          boolean mkdir()

    - #### mkdirs

          boolean mkdirs()

    - #### renameTo

          boolean renameTo(File dest)

    - #### setLastModified

          boolean setLastModified(long time)

    - #### setReadOnly

          boolean setReadOnly()

    - #### compareTo

          int compareTo(File pathname)

    - #### compareTo

          int compareTo(java.lang.Object o)

    - #### getRealFile

          java.io.File getRealFile()

    - #### createTempFile

          File createTempFile(java.lang.String prefix,
                              java.lang.String suffix,
                              File directory)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### createTempFile

          File createTempFile(java.lang.String prefix,
                              java.lang.String suffix)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### listRoots

          File[] listRoots()

Copyright © 2002 Mock Objects. All Rights Reserved.